------------
-- DEATHKNIGHT --
------------
if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "DEATHKNIGHT") then
    return;
end


Watcher.classDefaults["DEATHKNIGHT"] = {
    ["newDefaultDate"] = 1415345612;
    ["priorityLists"] = {
        [1] = {
            ["settings"] = {};
            ["cooldowns"] = {};
            ["name"] = "Blood";
            ["spellConditions"] = {
                [1] = {
                    ["spellId"] = 49222;
                    ["filterSetId"] = 63;
                };
                [2] = {
                    ["spellId"] = 77575;
                    ["filterSetId"] = 11;
                };
                [4] = {
                    ["spellId"] = 49998;
                    ["filterSetId"] = 48;
                };
                [8] = {
                    ["spellId"] = 50842;
                    ["filterSetId"] = 55;
                };
                [16] = {
                    ["spellId"] = 49998;
                    ["filterSetId"] = 47;
                };
                [17] = {
                    ["spellId"] = 45529;
                    ["filterSetId"] = 62;
                };
                [9] = {
                    ["spellId"] = 49998;
                    ["filterSetId"] = 49;
                };
                [18] = {
                    ["spellId"] = 47541;
                    ["filterSetId"] = 35;
                };
                [5] = {
                    ["spellId"] = 45477;
                    ["filterSetId"] = 52;
                };
                [10] = {
                    ["spellId"] = 47541;
                    ["filterSetId"] = 38;
                };
                [11] = {
                    ["spellId"] = 77575;
                    ["filterSetId"] = 56;
                };
                [3] = {
                    ["spellId"] = 115989;
                    ["filterSetId"] = 22;
                };
                [6] = {
                    ["spellId"] = 45462;
                    ["filterSetId"] = 53;
                };
                [12] = {
                    ["spellId"] = 115989;
                    ["filterSetId"] = 57;
                };
                [13] = {
                    ["spellId"] = 45477;
                    ["filterSetId"] = 58;
                };
                [7] = {
                    ["spellId"] = 114866;
                    ["filterSetId"] = 54;
                };
                [14] = {
                    ["spellId"] = 45462;
                    ["filterSetId"] = 59;
                };
                [15] = {
                    ["spellId"] = 49998;
                    ["filterSetId"] = 50;
                };
            };
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 1;
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["cooldowns"] = {};
            ["name"] = "Frost (2H)";
            ["spellConditions"] = {
                [4] = {
                    ["filterSetId"] = 13;
                    ["spellId"] = 49184;
                };
                [13] = {
                    ["filterSetId"] = 20;
                    ["spellId"] = 49184;
                };
                [7] = {
                    ["filterSetId"] = 15;
                    ["spellId"] = 49020;
                };
                [1] = {
                    ["filterSetId"] = 10;
                    ["spellId"] = 130735;
                };
                [2] = {
                    ["filterSetId"] = 11;
                    ["spellId"] = 77575;
                };
                [15] = {
                    ["filterSetId"] = 27;
                    ["spellId"] = 45529;
                };
                [8] = {
                    ["filterSetId"] = 16;
                    ["spellId"] = 49020;
                };
                [16] = {
                    ["filterSetId"] = 28;
                    ["spellId"] = 49998;
                };
                [9] = {
                    ["filterSetId"] = 17;
                    ["spellId"] = 49020;
                };
                [5] = {
                    ["filterSetId"] = 12;
                    ["spellId"] = 77575;
                };
                [10] = {
                    ["filterSetId"] = 18;
                    ["spellId"] = 49020;
                };
                [3] = {
                    ["filterSetId"] = 22;
                    ["spellId"] = 115989;
                };
                [11] = {
                    ["filterSetId"] = 25;
                    ["spellId"] = 45529;
                };
                [6] = {
                    ["filterSetId"] = 14;
                    ["spellId"] = 45462;
                };
                [12] = {
                    ["filterSetId"] = 19;
                    ["spellId"] = 49143;
                };
                [14] = {
                    ["filterSetId"] = 4;
                    ["spellId"] = 49020;
                };
            };
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 2;
                };
                [2] = {
                    ["isDualWielding"] = false;
                    ["filterType"] = "dualWield";
                };
            };
        };
        [4] = {
            ["name"] = "Unholy";
            ["cooldowns"] = {};
            ["settings"] = {};
            ["spellConditions"] = {
                [7] = {
                    ["filterSetId"] = 33;
                    ["spellId"] = 55090;
                };
                [1] = {
                    ["filterSetId"] = 44;
                    ["spellId"] = 130736;
                };
                [2] = {
                    ["filterSetId"] = 11;
                    ["spellId"] = 77575;
                };
                [4] = {
                    ["filterSetId"] = 36;
                    ["spellId"] = 45462;
                };
                [8] = {
                    ["filterSetId"] = 34;
                    ["spellId"] = 85948;
                };
                [9] = {
                    ["filterSetId"] = 38;
                    ["spellId"] = 47541;
                };
                [5] = {
                    ["filterSetId"] = 37;
                    ["spellId"] = 63560;
                };
                [10] = {
                    ["filterSetId"] = 39;
                    ["spellId"] = 47541;
                };
                [3] = {
                    ["filterSetId"] = 22;
                    ["spellId"] = 115989;
                };
                [6] = {
                    ["filterSetId"] = 40;
                    ["spellId"] = 47541;
                };
            };
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 3;
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["cooldowns"] = {};
            ["name"] = "Frost (Dual Wield)";
            ["spellConditions"] = {
                [13] = {
                    ["filterSetId"] = 28;
                    ["spellId"] = 49998;
                };
                [7] = {
                    ["filterSetId"] = 29;
                    ["spellId"] = 49143;
                };
                [1] = {
                    ["filterSetId"] = 10;
                    ["spellId"] = 130735;
                };
                [2] = {
                    ["filterSetId"] = 11;
                    ["spellId"] = 77575;
                };
                [4] = {
                    ["filterSetId"] = 13;
                    ["spellId"] = 49184;
                };
                [8] = {
                    ["filterSetId"] = 30;
                    ["spellId"] = 49143;
                };
                [9] = {
                    ["filterSetId"] = 25;
                    ["spellId"] = 45529;
                };
                [5] = {
                    ["filterSetId"] = 12;
                    ["spellId"] = 77575;
                };
                [10] = {
                    ["filterSetId"] = 31;
                    ["spellId"] = 49020;
                };
                [3] = {
                    ["filterSetId"] = 22;
                    ["spellId"] = 115989;
                };
                [6] = {
                    ["filterSetId"] = 14;
                    ["spellId"] = 45462;
                };
                [12] = {
                    ["filterSetId"] = 27;
                    ["spellId"] = 45529;
                };
                [11] = {
                    ["filterSetId"] = 2;
                    ["spellId"] = 49184;
                };
            };
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 2;
                };
                [2] = {
                    ["isDualWielding"] = true;
                    ["filterType"] = "dualWield";
                };
            };
        };
    };
    ["version"] = 2;
    ["spells"] = {
        [47541] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [40] = true;
                [39] = true;
                [38] = true;
                [35] = true;
            };
        };
        [45529] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [61] = true;
                [62] = true;
            };
        };
        [114866] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "Blood";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [42] = true;
                [54] = true;
            };
        };
        [77575] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [6] = true;
                [12] = true;
                [56] = true;
                [11] = true;
            };
        };
        [49222] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [60] = true;
                [63] = true;
                [45] = true;
            };
        };
        [49998] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [49] = true;
                [48] = true;
                [47] = true;
                [50] = true;
            };
        };
        [45477] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [52] = true;
                [51] = true;
                [58] = true;
            };
        };
        [50842] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [8] = true;
                [55] = true;
            };
        };
        [55090] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [33] = true;
            };
        };
        [130735] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "Frost";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [5] = true;
                [10] = true;
            };
        };
        [49143] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [3] = true;
                [19] = true;
                [29] = true;
                [30] = true;
            };
        };
        [85948] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [34] = true;
            };
        };
        [63560] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [32] = true;
                [37] = true;
            };
        };
        [130736] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "Unholy";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [43] = true;
                [44] = true;
            };
        };
        [49184] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [13] = true;
                [20] = true;
                [2] = true;
            };
        };
        [49020] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [17] = true;
                [15] = true;
                [18] = true;
                [4] = true;
                [16] = true;
                [31] = true;
            };
        };
        [115989] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [21] = true;
                [22] = true;
                [57] = true;
            };
        };
        [45462] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [36] = true;
                [59] = true;
                [53] = true;
                [1] = true;
                [14] = true;
            };
        };
        [123693] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [41] = true;
            };
        };
    };
    ["filterSets"] = {
        [27] = {
            ["settings"] = {};
            ["spellId"] = 45529;
            ["name"] = "Five Stacks";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Blood Charge";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = true;
                    ["stackCount"] = 5;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 49184;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [38] = {
            ["settings"] = {};
            ["name"] = "Don't Cap RP";
            ["spellId"] = 47541;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["threshold"] = 85;
                    ["relationship"] = "ABOVE";
                    ["filterType"] = "power";
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["spellId"] = 49143;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [54] = {
            ["settings"] = {};
            ["spellId"] = 114866;
            ["name"] = "Below 35%";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["threshold"] = 35;
                    ["unit"] = "target";
                    ["relationship"] = "BELOW";
                    ["filterType"] = "health";
                };
                [3] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = -3;
                    ["relationship"] = "At Least";
                    ["value"] = 1;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [4] = {
            ["settings"] = {};
            ["spellId"] = 49020;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [5] = {
            ["settings"] = {};
            ["spellId"] = 130735;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [6] = {
            ["settings"] = {};
            ["spellId"] = 77575;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [7] = {
            ["settings"] = {};
            ["spellId"] = 123693;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [8] = {
            ["settings"] = {};
            ["spellId"] = 50842;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [10] = {
            ["settings"] = {};
            ["spellId"] = 130735;
            ["name"] = "Below 35%";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["threshold"] = 35;
                    ["unit"] = "target";
                    ["relationship"] = "BELOW";
                    ["filterType"] = "health";
                };
            };
        };
        [12] = {
            ["settings"] = {};
            ["spellId"] = 77575;
            ["name"] = "Apply Blood Plague";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Blood Plague";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [14] = {
            ["settings"] = {};
            ["spellId"] = 45462;
            ["name"] = "Apply Blood Plague";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Blood Plague";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = -5;
                    ["relationship"] = "At Least";
                    ["value"] = 1;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [16] = {
            ["settings"] = {};
            ["spellId"] = 49020;
            ["name"] = "Don't Cap Frost Runes";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = -4;
                    ["relationship"] = "Equals";
                    ["value"] = 2;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [20] = {
            ["settings"] = {};
            ["spellId"] = 49184;
            ["name"] = "With Freezing Fog";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Freezing Fog";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [24] = {
            ["settings"] = {};
            ["spellId"] = 45529;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [28] = {
            ["settings"] = {};
            ["spellId"] = 49998;
            ["name"] = "With Dark Succor";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Dark Succor";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["threshold"] = 90;
                    ["filterType"] = "health";
                    ["relationship"] = "BELOW";
                    ["unit"] = "player";
                };
            };
        };
        [32] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 63560;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [40] = {
            ["settings"] = {};
            ["name"] = "No Dark Transformation";
            ["spellId"] = 47541;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = false;
                    ["auraName"] = "Dark Transformation";
                    ["unit"] = "pet";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [48] = {
            ["settings"] = {};
            ["spellId"] = 49998;
            ["name"] = "SoB 5";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Scent of Blood";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = true;
                    ["stackCount"] = 5;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "Equals";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["threshold"] = 95;
                    ["unit"] = "target";
                    ["relationship"] = "BELOW";
                    ["filterType"] = "health";
                };
            };
        };
        [56] = {
            ["settings"] = {};
            ["spellId"] = 77575;
            ["name"] = "Refresh Diseases";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Frost Fever";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 9;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
                [3] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Blood Plague";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 9;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [63] = {
            ["name"] = "If No Buff";
            ["settings"] = {};
            ["spellId"] = 49222;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Bone Shield";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [33] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 55090;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [41] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 123693;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [49] = {
            ["settings"] = {};
            ["spellId"] = 49998;
            ["name"] = "SoB 3 85% ";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Scent of Blood ";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = true;
                    ["stackCount"] = 3;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["threshold"] = 85;
                    ["unit"] = "player";
                    ["relationship"] = "BELOW";
                    ["filterType"] = "health";
                };
            };
        };
        [57] = {
            ["settings"] = {};
            ["spellId"] = 115989;
            ["name"] = "Refresh Both Diseases";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Frost Fever";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 9;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
                [3] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Blood Plague";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 9;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [17] = {
            ["settings"] = {};
            ["spellId"] = 49020;
            ["name"] = "Don't Cap Death Runes";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = -2;
                    ["relationship"] = "Equals";
                    ["value"] = 2;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [21] = {
            ["settings"] = {};
            ["spellId"] = 115989;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [25] = {
            ["settings"] = {};
            ["spellId"] = 45529;
            ["name"] = "Don't Cap!";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Blood Charge";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = true;
                    ["stackCount"] = 10;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [29] = {
            ["settings"] = {};
            ["spellId"] = 49143;
            ["name"] = "With Killing Machine";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Killing Machine";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [34] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 85948;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [42] = {
            ["spellId"] = 114866;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [50] = {
            ["settings"] = {};
            ["spellId"] = 49998;
            ["name"] = "SoB 2 85%";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["threshold"] = 85;
                    ["unit"] = "player";
                    ["relationship"] = "BELOW";
                    ["filterType"] = "health";
                };
                [3] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Scent of Blood";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = true;
                    ["stackCount"] = 2;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [58] = {
            ["settings"] = {};
            ["spellId"] = 45477;
            ["name"] = "Refresh DoT";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Frost Fever";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 9;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [43] = {
            ["spellId"] = 130736;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [39] = {
            ["settings"] = {};
            ["name"] = "Sudden Doom";
            ["spellId"] = 47541;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Sudden Doom";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [15] = {
            ["settings"] = {};
            ["spellId"] = 49020;
            ["name"] = "Killing Machine Proc";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Killing Machine";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [1] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 45462;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [35] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 47541;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [11] = {
            ["settings"] = {};
            ["spellId"] = 77575;
            ["name"] = "Apply Both Diseases";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Frost Fever";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Blood Plague";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [13] = {
            ["settings"] = {};
            ["spellId"] = 49184;
            ["name"] = "Apply Frost Fever";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Frost Fever";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [59] = {
            ["settings"] = {};
            ["spellId"] = 45462;
            ["name"] = "Refresh DoT";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Blood Plague";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 9;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [18] = {
            ["settings"] = {};
            ["spellId"] = 49020;
            ["name"] = "Don't Cap Unholy Runes";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = -5;
                    ["relationship"] = "Equals";
                    ["value"] = 2;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [22] = {
            ["settings"] = {};
            ["spellId"] = 115989;
            ["name"] = "Apply Both Diseases";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Frost Fever";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Blood Plague";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [55] = {
            ["settings"] = {};
            ["spellId"] = 50842;
            ["name"] = "Use Only Blood Runes";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = -3;
                    ["relationship"] = "At Least";
                    ["value"] = 1;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [30] = {
            ["settings"] = {};
            ["spellId"] = 49143;
            ["name"] = "Don't Cap RP";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 75;
                    ["relationship"] = "ABOVE";
                    ["filterType"] = "power";
                };
            };
        };
        [36] = {
            ["settings"] = {};
            ["name"] = "Apply Both Diseases";
            ["spellId"] = 45462;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Frost Fever";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Blood Plague";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [44] = {
            ["spellId"] = 130736;
            ["name"] = "Below 35%";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 35;
                    ["filterType"] = "health";
                    ["relationship"] = "BELOW";
                    ["unit"] = "target";
                };
            };
        };
        [52] = {
            ["settings"] = {};
            ["spellId"] = 45477;
            ["name"] = "Apply Frost Fever";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Frost Fever";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [60] = {
            ["settings"] = {};
            ["spellId"] = 49222;
            ["name"] = "5 Stacks";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Bone Shield";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = true;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [51] = {
            ["settings"] = {};
            ["spellId"] = 45477;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [47] = {
            ["settings"] = {};
            ["spellId"] = 49998;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [31] = {
            ["settings"] = {};
            ["spellId"] = 49020;
            ["name"] = "Has Unholy Rune and No Killing Machine";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = -5;
                    ["relationship"] = "At Least";
                    ["value"] = 1;
                    ["filterType"] = "secondaryResource";
                };
                [3] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Killing Machine";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [37] = {
            ["settings"] = {};
            ["name"] = "5 Stack Shadow Infusion";
            ["spellId"] = 63560;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Shadow Infusion";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = true;
                    ["stackCount"] = 5;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "Equals";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [45] = {
            ["settings"] = {};
            ["spellId"] = 49222;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [53] = {
            ["settings"] = {};
            ["spellId"] = 45462;
            ["name"] = "Apply Blood Plague";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Blood Plague";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [61] = {
            ["settings"] = {};
            ["spellId"] = 45529;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [19] = {
            ["settings"] = {};
            ["spellId"] = 49143;
            ["name"] = "No Killing Machine";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Killing Machine";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [9] = {
            ["settings"] = {};
            ["spellId"] = 49998;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [62] = {
            ["settings"] = {};
            ["spellId"] = 45529;
            ["name"] = "5 Stack";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Blood Charge";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = true;
                    ["stackCount"] = 5;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
    };
};
